import { Product } from "types/Product";
import Image from "next/image";

type Props = {
  list: Product[];
    onDelete: (index:number) => void
};

const TableBody = (props:Props) => {
    const {list, onDelete} = props
    return (
        <tbody>     
          {list?.map((item,index)=>{
            return(
                <tr key={index}>
                <td>
                    <Image
                        src={item?.img}
                        alt={item?.alt || ""}
                        width={50}
                        height={50}
                        priority
                        unoptimized />
                </td>
                <td>{item?.name}</td>
                <td>{item?.price}</td>
                <td>{item?.description}</td>
                <td>
              <button className="btn-icon" onClick={() => onDelete(index)}>
                <i className="material-icons">delete</i>
              </button>
            </td>
            </tr>
            )
          })}
        </tbody>
    )
}

export default TableBody