import React from "react";
import styles from "@/style/detail.module.css"
import Image from "next/image";

type Props = {
  params: { slug: string };
  searchParams: Record<string, string>;
};

const Page = async ({ params, searchParams }: Props) => {
  const { slug } = await params;
  const { image, alt, name, price, description } = await searchParams;

  return (
    <div className={styles.container}>
      <div className={styles.card}>
        {image && <Image
          src={image}
          alt={alt}
          width={50}
          height={50}
          priority
          unoptimized />}
        <h1>{name}</h1>
        <p>Ürün Kodu: {slug}</p>
        <p className={styles.price}>{price} TL</p>
        <p>{description}</p>
      </div>
    </div>
  );
};

export default Page;
