"use client";

import Link from "next/link";
import styles from "@/style/header.module.css";

const Header = () => {
    return (
        <header className={styles.header}>
            <Link href="/" className={styles.logo}>
                Logo
            </Link>

            <nav>
                <ul className={styles.navList}>
                    <li>
                        <Link href="/" className={styles.navLink}>
                            Home
                        </Link>
                    </li>
                    <li>
                        <Link href="/contact" className={styles.navLink}>
                            Contact
                        </Link>
                    </li>
                    <li>
                        <Link href="/about" className={styles.navLink}>
                            About
                        </Link>
                    </li>
                </ul>
            </nav>
        </header>
    );
};

export default Header;
